html {
  box-sizing: border-box;
}

body {
  margin: 0;
  min-height: 100vh;
  font-family: Poppins, sans-serif;
  background: linear-gradient(to right, #000000, #152331);
  display: flex;
  justify-content: center;
  align-items: center;
}

.calculator{
  background: white;
  width: 400px;
  border-radius: 12px;
  box-shadow: 0 10px 30px -5px rgba(255, 255, 255, 0.6);
}

.calculator-display{
  background: black;
  color: white;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
}

.calculator-display h1{
  margin: 0px;
  padding: 25px;
  font-size: 45px;
  font-family: 'Lucida Console', sans-serif;
  font-weight: 100;
  overflow-x: auto;
}

/* custom scrollbar */
::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: #888;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/* Buttons */
.calculator-buttons {
  display: grid;
  grid-template-columns: repeat(4, 1fr); /*1fr = 1 fraction that devided all the button*/
  gap: 10px;
  padding: 10px;
}

button {
  min-height: 50px;
  font-size: 20px;
  font-weight: 100;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  background: rgb(199, 199, 199);
}

button:hover{
  filter: brightness(110%);
}

button:active{
  transform: translateY(1px);
}

button:focus{
  outline: none;
}

.operator {
  background: grey;
  color: white;
  font-size: 30px;
}

.equal-sign{
  grid-column: -2;
  grid-row: 2 / span 4; /*inizia dalla seconda riga ed è alto 4*/
  background: rgb(2, 182, 2);
}

.clear {
  background: rgb(255, 40, 40);
  color: white;
}

.clear:hover{
  filter: brightness(90%);
}

/* Mobile */
@media screen and (max-width: 600px) {
  .calculator {
    width: 95%;
  }
}